Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/webhooks/receivestravawebhook

# Strava webhook event receiver

POST `https://api.rewind.rest/v1/webhooks/strava`

Receives Strava webhook events for activity creates, updates, and deletes. Must respond within 2 seconds. No auth required.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Body

#### aspect\_type (body, enum (string), required) — allowed: create, update, delete

#### event\_time (body, number, required)

#### object\_id (body, number, required)

#### object\_type (body, enum (string), required) — allowed: activity, athlete

#### owner\_id (body, number, required)

#### subscription\_id (body, number, required)

#### updates (body, object, required)

## Response

#### 200

Event received successfully

#### status (enum (string), required) — allowed: ok

#### Request

```bash cURL
curl -X POST 'https://api.rewind.rest/v1/webhooks/strava' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{"aspect_type": "create", "event_time": 0, "object_id": 0, "object_type": "activity", "owner_id": 0, "subscription_id": 0, "updates": {}}'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/webhooks/strava', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"aspect_type": "create", "event_time": 0, "object_id": 0, "object_type": "activity", "owner_id": 0, "subscription_id": 0, "updates": {}}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://api.rewind.rest/v1/webhooks/strava',
    headers={'Authorization': 'Bearer <token>'},
    json={"aspect_type": "create", "event_time": 0, "object_id": 0, "object_type": "activity", "owner_id": 0, "subscription_id": 0, "updates": {}}
)
data = res.json()
```

#### Response

```json 200
{
  "status": "ok"
}
```
